# Changelog

All notable changes to this project will be documented in this file.

## [Unreleased]

## [2.3.2-diversion.4] - 2022-07-28

### Changed

-   logic checking / creating schema changed to support scenario when schema already exist and db role doesnt allow to use schema creation commands

## [2.3.2-diversion.3] - 2022-02-02

### Added

-   Expand search path


---
# Changelog (pre-fork)

<a name="2.0.0"></a>
# [2.0.0](https://github.com/db-migrate/db-migrate-base/compare/v1.6.3...v2.0.0) (2019-05-16)


### Features

* **methods:** add new migrator methods ([1783a66](https://github.com/db-migrate/db-migrate-base/commit/1783a66))



<a name="1.6.3"></a>
## [1.6.3](https://github.com/db-migrate/db-migrate-base/compare/v1.6.2...v1.6.3) (2019-02-11)


### Bug Fixes

* **bug:** add column has no def options ([2963dd0](https://github.com/db-migrate/db-migrate-base/commit/2963dd0))



<a name="1.6.2"></a>
## [1.6.2](https://github.com/db-migrate/db-migrate-base/compare/v1.6.1...v1.6.2) (2019-02-11)


### Bug Fixes

* **bug:** check for defaultValue existence first ([18338bc](https://github.com/db-migrate/db-migrate-base/commit/18338bc))



<a name="1.6.1"></a>
## [1.6.1](https://github.com/db-migrate/db-migrate-base/compare/v1.6.0...v1.6.1) (2019-02-11)


### Bug Fixes

* **bug:** wrong order for preparing spec ([a15eaad](https://github.com/db-migrate/db-migrate-base/commit/a15eaad))



<a name="1.6.0"></a>
# [1.6.0](https://github.com/db-migrate/db-migrate-base/compare/v1.5.4...v1.6.0) (2019-02-11)


### Features

* **defaultValue:** add advanced handling for defaultValues ([0296b9e](https://github.com/db-migrate/db-migrate-base/commit/0296b9e))



<a name="1.5.4"></a>
## [1.5.4](https://github.com/db-migrate/db-migrate-base/compare/v1.5.3...v1.5.4) (2019-01-28)


### Bug Fixes

* **insert:** Support documented mysql promise based insert command. ([986b190](https://github.com/db-migrate/db-migrate-base/commit/986b190)), closes [db-migrate/node-db-migrate#606](https://github.com/db-migrate/node-db-migrate/issues/606)
* don’t reassign callback, don’t call if it’s not a function ([8160337](https://github.com/db-migrate/db-migrate-base/commit/8160337))



<a name="1.5.3"></a>
## [1.5.3](https://github.com/db-migrate/db-migrate-base/compare/v1.5.2...v1.5.3) (2017-06-30)



<a name="1.5.2"></a>
## [1.5.2](https://github.com/db-migrate/db-migrate-base/compare/v1.5.1...v1.5.2) (2017-06-25)



<a name="1.5.1"></a>
## [1.5.1](https://github.com/db-migrate/db-migrate-base/compare/v1.5.0...v1.5.1) (2017-06-25)



<a name="1.5.0"></a>
# [1.5.0](https://github.com/db-migrate/db-migrate-base/compare/v1.4.0...v1.5.0) (2017-06-25)



<a name="1.4.0"></a>
# [1.4.0](https://github.com/db-migrate/db-migrate-base/compare/v1.3.3...v1.4.0) (2017-06-25)



<a name="1.3.3"></a>
## [1.3.3](https://github.com/db-migrate/db-migrate-base/compare/v1.3.1...v1.3.3) (2017-06-25)



<a name="1.3.1"></a>
## [1.3.1](https://github.com/db-migrate/db-migrate-base/compare/v1.3.0...v1.3.1) (2017-06-25)



<a name="1.3.0"></a>
# [1.3.0](https://github.com/db-migrate/db-migrate-base/compare/v1.2.7...v1.3.0) (2017-06-25)



<a name="1.2.7"></a>
## [1.2.7](https://github.com/db-migrate/db-migrate-base/compare/v1.2.5...v1.2.7) (2016-07-27)



<a name="1.2.5"></a>
## [1.2.5](https://github.com/db-migrate/db-migrate-base/compare/v1.2.4...v1.2.5) (2016-02-03)


### Bug Fixes

* **dropTable:** Empty options object ([8c00115](https://github.com/db-migrate/db-migrate-base/commit/8c00115))



<a name="1.2.4"></a>
## [1.2.4](https://github.com/db-migrate/db-migrate-base/compare/v1.2.3...v1.2.4) (2016-01-27)



<a name="1.2.3"></a>
## [1.2.3](https://github.com/db-migrate/db-migrate-base/compare/v1.2.2...v1.2.3) (2016-01-27)


### Bug Fixes

* **api:** drop table overwrite options on promises ([602f5e3](https://github.com/db-migrate/db-migrate-base/commit/602f5e3))



<a name="1.2.2"></a>
## [1.2.2](https://github.com/db-migrate/db-migrate-base/compare/v1.2.1...v1.2.2) (2015-10-17)



<a name="1.2.1"></a>
## [1.2.1](https://github.com/db-migrate/db-migrate-base/compare/v1.2.0...v1.2.1) (2015-09-08)



<a name="1.2.0"></a>
# [1.2.0](https://github.com/db-migrate/db-migrate-base/compare/v1.0.1...v1.2.0) (2015-09-08)



<a name="1.0.1"></a>
## 1.0.1 (2015-02-14)



